This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276645 - jackson-1.9.14 is available
jackson-1.9.14 is available
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: jackson (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 07:15 EDT by gil cattaneo
Modified: 2016-05-05 10:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 10:11:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-10-30 07:15:50 EDT
Latest upstream release: 1.9.14
Current version/release in Fedora Rawhide: 1.9.11-6.fc23
URL: https://github.com/codehaus/jackson/commit/8404cf0b1fb700e5a179abd71137f3057846b80f
Comment 1 Mikolaj Izdebski 2015-11-02 08:14:21 EST
I don't see 1.9.14 release anywhere. Could you point out where can it be downloaded? The commit you pointed is from 2013.
Comment 2 gil cattaneo 2015-11-02 14:59:09 EST
(In reply to Mikolaj Izdebski from comment #1)
> I don't see 1.9.14 release anywhere. Could you point out where can it be
> downloaded? The commit you pointed is from 2013.

this is a "bug fix" (un)release, if although it is dated.
I just wanted to inform you that you could upgrade the
package to this version.

Off topic, there is also https://github.com/ymasory/iText-4.2.0
"iText is a Java PDF library originally dual licensed under MPL/LGPL"

under multiple license: (LGPLv2+ or MPLv1.1) and ASL 2.0 and BSD and LGPLv2+ and (MPLv1.1 or MIT) and CC-BY and APAFML and libtiff

src/toolbox/com/itextpdf/toolbox/Versions.java is MPLv1.1 or MIT
src/toolbox/com/itextpdf/toolbox/plugins/XML2Bookmarks.java is MPLv1.1 or LGPLv2+
src/rups/com/itextpdf/rups/Rups.java is LGPLv2+
src/rups/com/itextpdf/rups/view/icons/ are under CC-BY
src/core/com/itextpdf/text/xml/XmlDomWriter.java is under ASL 2.0
src/core/com/itextpdf/text/pdf/LZWDecoder.java is under BSD
src/core/com/itextpdf/text/pdf/fonts/cmaps/CodespaceRange.java is under BSD
src/core/com/itextpdf/text/pdf/fonts are under APAFML
src/core/com/itextpdf/text/pdf/codec/TIFFConstants.java is under libtiff

regards
Comment 3 Jan Kurik 2016-02-24 08:53:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Michael Simacek 2016-05-05 10:11:52 EDT
There is still no such upstream release. If you need specific patch included, open a specific bug, please.

Note You need to log in before you can comment on or make changes to this bug.